Error de Mootools.js  

 
Antonio
 Antonio
Estimable Member

Tengo un sitio localhost de repente aparecio un error de Mootools.js porque aparece este erro a que se debe, como lo puedo corregir ???

alguien me puede apoyar ???

ANEXO IMAGEN DEL ERROR

Saludos

Citar
Respondido : 08/10/2010 6:20 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola atalavera

Te sale sólo en IE?
Has instalado recientemente una extensión nueva, si es asi prueba despublicándola;
ya que usualmente se debe a que algunas extensiones usan archivos javascript que trabajan con mootools, pero no significa que la librería de mootools se encuentre mal codificada, sino el código del archivo javascript de tu extensión es el que presenta el problema.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 08/10/2010 6:50 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Antonio
 Antonio
Estimable Member

jmarreros, de hecho solo me da este error en IE porque en firefox ahi no ahi se comporta como si nada le estuviese pasando que significa esto que nada mas me marque el error en un explorer y en otro no.

ResponderCitar
Respondido : 08/10/2010 10:51 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola atalavera

Bueno el caso de que el problema lo presentes sólo en IE, es un tema lamentablemente común en algunas extensiones que utilizan javascript, esto es debido a que para que un script complejo funcione correctamente en IE debe ser "parchado" y poner "lógica adicional" a la que se necesita para los navegadores compatibles (firefox, chrome, safari, etc).

A veces los desarrolladores no hacen pruebas rigurosas y pruebas de integración de sus scripts y por eso ocurren los problemas generalmente sólo en IE.

Te recomiendo que cuando descargues una extensión que utiliza javascript (generalmente las que tienen efectos) debes fijarte con que navegadores y a partir de que versiones el script no tendrá problemas, a veces es bueno tambien revisar los comentarios respecto a la extensión y probar el demo de la extensión en línea con diferentes navegadores.

Para tu caso, sería bueno detectar primero que extensión te esta causando ese problema.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 08/10/2010 11:03 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Antonio
 Antonio
Estimable Member

De que manera voy a poder solucionar el problema ya actualice el IE mi version es la 8.

ResponderCitar
Respondido : 11/10/2010 10:38 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola atalavera,

También cabe la posibilidad de que tu versión de MooTools sea en parte responsable del error, por alguna incompatibilidad con alguna extensión que trata de hacer uso de esta librería.

Se puede solucionar, pero hay que tocar código. Se prevee que en la 1.6 se implemente MooTools 1.2 ya que actualmente en la rama 1.5 solo se implementa MooTools 1.1 y muchas extensiones ya incluso llaman a funciones que solo se encuentran en la 1.2b lo que es un problema que a veces da como resultado errores de funcionamiento de dichas extensiones.

Han publicado un plugin llamado Zaragoza Mootools 1.2 que te permite actualizar MooTools ademas de silenciar los <scripts> moootools.js y caption.js, mira a ver si te soluciona su uso.

- Zaragoza Mootools: http://extensions.joomla.org/extensions/site-management/site-performance/12500

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 12/10/2010 3:59 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Antonio
 Antonio
Estimable Member

Gnumax, pues te informo que ya por fin me di cuenta de que componente me esta causando el problema con el mootools.js estoy utilizando la platilla: University: www.shape5.com/demo/university/ y el componente es S5 imagen and Content Fader es el componente de la galeria que aprece en la parte izquierda superior donde maneja 2 opciones de efectos para la galeria una de ellas es Mootools y la otra Legacy (S5 Effects) si le pongo la opcion de Mootools aparece el error si selecciono la otra se quita el error de que manera puedo corregir esto ?????

ResponderCitar
Respondido : 13/10/2010 8:37 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola atalavera,

He revisado la plantilla "demo" del desarrollador y funciona bien pero curiosamente no hace ninguna llamada a librerías de MooTools 😉 y trabaja con jQuery ¿será por algo?

En sus características tampoco hacen mención a MooTools:

Features:

* 100% tableless CSS
* Validates with XHTML 1.0 Transitional
* Validates with CSS Level 3
* Joomla 1.5 only
* Choose fluid or fixed template widths
* SQL dump available
* 32 module positions
* NEW S5 Image and Content Fader v2
* Olark Chat module
* Add 3 backgrounds: top, entire body and bottom
* Sliced PSDs included
* 5 color presets included! Red, Brown, Green, Blue, and Gray
* Site Shaper available (Joomla install that includes demo data)
* Fully collapsible module positions
* Set background images and color via template parameters
* NEW Multibox enabled
* Tool Tips enabled
* 4 Menu systems:
o Choose style: Drop Down, Fading, Scroll Down or Suckerfish
o Choose script: jQuery, S5 Effects
* Custom page and column widths
* Compatible with the following browsers:

o IE7+
o Firefox 1.5+
o Opera 9+
o Safari
o Advant
o Chrome

Son detalles, pero son para tenerlos en cuenta, sobre todo analizando el código fuente de la página "demo". Para el módulo usa jQuery y no mootools, que lo carga unas líneas más arriba pero entiendo que por defecto.

var s5_boxeffect = "elastic";

Prueba a forzar esa extensión, si trae la opción de trabajar con jQuery y mira a ver si registras el mismo problema.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 13/10/2010 9:36 pm

Cursos Gratuitos WordPress

Antonio
 Antonio
Estimable Member

Te muestro la configuración del modulo te anexo la imagen ahi donde esta en esa opcion no aparece el error y cuando selecciono el de Mootools si aparece el error.

ResponderCitar
Respondido : 13/10/2010 9:52 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola,

Me gustaría saber que librería carga cuando le das click en legacy,
Y tambien me gustaría saber que versión del mootols carga cuando esta en mootools.

Lo que me imagino es lo siguiente:
- Si le das en legacy (significa que sea compatible con versiones anteriores de joomla) podria cargar la librería jquery (de ahi que no presentes problemas)
- Si le das en mootools tal vez cargue el mootools 1.1.

Puedes comprobar estas opciones haciendo click con el boton derecho y viendo el código de tu página, luego buscar en la parte de la cabecera la palabra mootools o jquery.

Es necesario saber esto para saber como se comporta la extensión.

Pruébalo y nos comentas.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 13/10/2010 10:30 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Antonio
 Antonio
Estimable Member

Alguien me puede decir como activo el chat o si se puede activar porque le he estado buscando y no le encuentro el como activar esto es en la plantilla: University: www.shape5.com/demo/university/ ojala me puedan hechar l amano como siempre lo han hecho.

El componente esta en la parte inferior derecha..

Saludos.

ResponderCitar
Respondido : 16/10/2010 5:53 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola atalavera,

Entiendo que el problema de MooTools quedó claro y solucionado, sabiendo que el desarrollador dice en las "features" que dicha extensión trabaja con "S5 Effects" en caso de que MooTools te de problemas, cosa que tiene más que ver con tu versión que con la extensión de Shape5.

El tema del Chat ¿es relativo a MooTools? ya que si no lo es se agradecería un hilo nuevo para separar temas y no anidarlos todos bajo el mismo enunciado.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 16/10/2010 8:11 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Por favor Iniciar Sesión o Registro